Extension { #name : #DataFrame }

{ #category : #'*MiniDocs' }
DataFrame >> viewDataFor: aView [
	<gtView>
	| columnedList |
	self numberOfRows >= 1 ifFalse: [ ^ aView empty ].
	columnedList := aView columnedList
		title: 'Data';
		items: [ self transposed columns ];
		priority: 40.
	self columnNames
		withIndexDo: [:aName :anIndex |
			columnedList
				column: aName 
				text: [:anItem | anItem at: anIndex ]
		].
	^ columnedList
]
